
Foreman - Feature #26423

Update fog-vsphere to 3.0 

03/20/2019 10:36 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6599,

https://github.com/theforeman/foreman/p

ull/6601,

https://github.com/theforeman/foreman/p

ull/6611,

https://github.com/theforeman/foreman/p

ull/6612,

https://github.com/theforeman/foreman/p

ull/6622

  

Description

There is a release of fog-vsphere with change in namespaces.

That needs some effort on foreman site, this is going to be needed for fog-core bump to 2.1 version.

Related issues:

Related to Foreman - Bug #26024: Remove fog and set fog-core to 2.1.0 and net... Closed

Associated revisions

Revision 7ba81c91 - 03/21/2019 12:25 PM - Tomer Brisker

Refs #26423 - pin fog-vsphere to <3.0 (#6601)

Revision 8b05fa95 - 03/27/2019 01:05 PM - Ondřej Ezr 

Fixes #26423 - update fog-vsphere (#6599)

Revision 6af5feed - 03/27/2019 06:04 PM - Ewoud Kohl van Wijngaarden

Refs #26423 - Fix fog-vsphere references in tests

8b05fa95168456fb7193bf4303bc1eb2b2136671 updated fog-vsphere to 3.0, but

missed these references.

History

#1 - 03/21/2019 12:14 AM - Ondřej Ezr

- Related to Bug #26024: Remove fog and set fog-core to 2.1.0 and net-ssh to '4.2.0' added

#2 - 03/21/2019 12:25 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6599 added

#3 - 03/21/2019 12:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6601 added

#4 - 03/23/2019 07:07 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6611 added
#5 - 03/23/2019 07:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6612 added

#6 - 03/27/2019 01:05 PM - Marek Hulán

- Fixed in Releases 1.22.0 added

#7 - 03/27/2019 02:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 8b05fa95168456fb7193bf4303bc1eb2b2136671.

#8 - 03/27/2019 05:11 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6622 added
